Перейти к содержимому

GET /snapshots

List snapshots

List all snapshots for the team

Параметры

  • sandboxID · string · запрос · необязательно

    Filter snapshots by source sandbox ID

  • name · string · запрос · необязательно

    Filter snapshots by name or ID, optionally tag-qualified (e.g. "my-snapshot", "my-team/my-snapshot" or "my-snapshot:v1").

  • limit · integer · запрос · необязательно

    Maximum number of items to return per page

    Формат: int32

    По умолчанию: 100

    Минимум: 1

    Максимум: 100

  • nextToken · string · запрос · необязательно

    Cursor to start the list from

Ответы

200

Successfully returned snapshots

Заголовки ответа

  • X-Next-Token · string · заголовок ответа

    Cursor to fetch the next page of results, if more exist

Content-Type: application/json

Схема: array<SnapshotInfo>

  • snapshotID · string · обязательно

    Identifier of the snapshot template including the tag. Uses namespace/alias when a name was provided (e.g. team-slug/my-snapshot:default), otherwise falls back to the raw template ID (e.g. abc123:default).

  • names · array<string> · обязательно

    Full names of the snapshot template including team namespace and tag (e.g. team-slug/my-snapshot:v2)

401

Authentication error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error

500

Server error

Content-Type: application/json

Схема: Error

  • code · integer · обязательно

    Error code

    Формат: int32

  • message · string · обязательно

    Error